/// <reference types="node" resolution-mode="require"/>
/// <reference types="node" resolution-mode="require"/>
import EventEmitter from 'events';
import { ChildProcess } from 'child_process';
import { CoreClient } from './client.js';
import { CoreWallet } from './wallet.js';
import { CoreConfig, CoreEvent, RunMethod } from '../types/index.js';
export declare class CoreDaemon extends EventEmitter {
    readonly _client: CoreClient;
    readonly _opt: CoreConfig;
    readonly params: string[];
    readonly tasks: RunMethod[];
    _closing: boolean;
    _faucet: CoreWallet | null;
    _proc?: ChildProcess;
    _ready: boolean;
    constructor(config?: Partial<CoreConfig>);
    get client(): CoreClient;
    get faucet(): CoreWallet;
    get opt(): CoreConfig;
    get ready(): boolean;
    _debug(...msg: unknown[]): void;
    _log(...msg: unknown[]): void;
    on<K extends keyof CoreEvent>(event: K, cb: (arg: CoreEvent[K]) => void): this;
    once<K extends keyof CoreEvent>(event: K, cb: (arg: CoreEvent[K]) => void): this;
    emit<K extends keyof CoreEvent>(event: K, arg: CoreEvent[K]): boolean;
    _start(params?: string[]): Promise<void>;
    _init(): Promise<void>;
    startup(params?: string[]): Promise<CoreClient>;
    shutdown(): Promise<void>;
    run(...methods: RunMethod[]): Promise<any[]>;
}
//# sourceMappingURL=core.d.ts.map