import { DescriptorItem } from './descriptors.js';
export interface WalletConfig {
    disable_private_keys?: boolean;
    blank?: boolean;
    passphrase?: string;
    avoid_reuse?: boolean;
    descriptors?: boolean;
    load_on_startup?: boolean;
    external_signer?: boolean;
}
export interface WalletList {
    wallets: [{
        name: string;
    }];
}
export interface WalletResponse {
    name: string;
    warning: string;
}
export interface WalletDescriptors {
    wallet_name: string;
    descriptors: DescriptorItem[];
}
export interface WalletInfo {
    walletname: string;
    walletversion: number;
    format: string;
    balance: number;
    unconfirmed_balance: number;
    immature_balance: number;
    txcount: number;
    keypoololdest: number;
    keypoolsize: number;
    hdseedid: string;
    paytxfee: number;
    private_keys_enabled: boolean;
    avoid_reuse: boolean;
    scanning: boolean;
    descriptors: boolean;
    external_signer: boolean;
    keypoolsize_hd_internal: number;
}
export interface UTXO {
    txid: string;
    vout: number;
    address: string;
    label: string;
    scriptPubKey: string;
    amount: number;
    confirmations: number;
    spendable: boolean;
    solvable: boolean;
    desc: string;
    parent_descs: string[];
    safe: boolean;
    sats: number;
}
export interface FundingOptions {
    amount?: number;
    feerate?: number;
    vsize?: number;
}
//# sourceMappingURL=wallet.d.ts.map